Loading...
Searching...
No Matches
journal.h File Reference

Go to the source code of this file.

## Macros

#define | HFS_16_TO_CPU(x, is_little_endian)
#define | HFS_32_TO_CPU(x, is_little_endian)
#define | HFS_64_TO_CPU(x, is_little_endian)
#define | HFS_CPU_TO_16(x, is_little_endian)
#define | HFS_CPU_TO_32(x, is_little_endian)
#define | HFS_CPU_TO_64(x, is_little_endian)

## Functions

int | hfsj_replay_journal (PedFileSystem *fs)
int | hfsj_update_jib (PedFileSystem *fs, uint32_t block)
int | hfsj_update_jl (PedFileSystem *fs, uint32_t block)

## Macro Definition Documentation

## HFS_16_TO_CPU

#define HFS_16_TO_CPU | ( |  | x,
|  |  | is_little_endian )

Value:
((is_little_endian) ? (uint16_t)PED_LE16_TO_CPU(x) : (uint16_t)PED_BE16_TO_CPU(x))
PED_BE16_TO_CPU
#define PED_BE16_TO_CPU(x)
Definition endian.h:77
PED_LE16_TO_CPU
#define PED_LE16_TO_CPU(x)
Definition endian.h:76

## HFS_32_TO_CPU

#define HFS_32_TO_CPU | ( |  | x,
|  |  | is_little_endian )

Value:
((is_little_endian) ? (uint32_t)PED_LE32_TO_CPU(x) : (uint32_t)PED_BE32_TO_CPU(x))
PED_BE32_TO_CPU
#define PED_BE32_TO_CPU(x)
Definition endian.h:79
PED_LE32_TO_CPU
#define PED_LE32_TO_CPU(x)
Definition endian.h:78

## HFS_64_TO_CPU

#define HFS_64_TO_CPU | ( |  | x,
|  |  | is_little_endian )

Value:
((is_little_endian) ? (uint64_t)PED_LE64_TO_CPU(x) : (uint64_t)PED_BE64_TO_CPU(x))
PED_LE64_TO_CPU
#define PED_LE64_TO_CPU(x)
Definition endian.h:80
PED_BE64_TO_CPU
#define PED_BE64_TO_CPU(x)
Definition endian.h:81

## HFS_CPU_TO_16

#define HFS_CPU_TO_16 | ( |  | x,
|  |  | is_little_endian )

Value:
((is_little_endian) ? (uint16_t)PED_CPU_TO_LE16(x) : (uint16_t)PED_CPU_TO_BE16(x))
PED_CPU_TO_LE16
#define PED_CPU_TO_LE16(x)
Definition endian.h:69
PED_CPU_TO_BE16
#define PED_CPU_TO_BE16(x)
Definition endian.h:70

## HFS_CPU_TO_32

#define HFS_CPU_TO_32 | ( |  | x,
|  |  | is_little_endian )

Value:
((is_little_endian) ? (uint32_t)PED_CPU_TO_LE32(x) : (uint32_t)PED_CPU_TO_BE32(x))
PED_CPU_TO_BE32
#define PED_CPU_TO_BE32(x)
Definition endian.h:72
PED_CPU_TO_LE32
#define PED_CPU_TO_LE32(x)
Definition endian.h:71

## HFS_CPU_TO_64

#define HFS_CPU_TO_64 | ( |  | x,
|  |  | is_little_endian )

Value:
((is_little_endian) ? (uint64_t)PED_CPU_TO_LE64(x) : (uint64_t)PED_CPU_TO_BE64(x))
PED_CPU_TO_BE64
#define PED_CPU_TO_BE64(x)
Definition endian.h:74
PED_CPU_TO_LE64
#define PED_CPU_TO_LE64(x)
Definition endian.h:73

## Function Documentation

## hfsj_replay_journal()

int hfsj_replay_journal | ( | PedFileSystem * | fs | ) |

## hfsj_update_jib()

int hfsj_update_jib | ( | PedFileSystem * | fs,
|  | uint32_t | block )

## hfsj_update_jl()

int hfsj_update_jl | ( | PedFileSystem * | fs,
|  | uint32_t | block )